# install prefix
%global ora_prefix %{_sysconfdir}/oracle-client196

Name:      uio-oracle-client196
Version:   0.2
Release:   1%{?dist}
Summary:   Oracle database setup for Instantclient 19.6

Group:     Applications/Databases
License:   GPLv3+

URL:       https://www.usit.uio.no/om/organisasjon/iti/dbd/
Source0:   oraprofile.sh
Source1:   ldap.ora
Source2:   sqlnet.ora
Source3:   README

Requires:  oracle-instantclient19.6-basic >= 19.6.0.0.0

BuildArch: noarch

%description
%{summary}

%prep
%setup -q -c -T

%build

%install
install -d -m 0755 %{buildroot}%{ora_prefix}/network
install -p -m 0644 %{SOURCE0} %{buildroot}%{ora_prefix}
install -p -m 0644 %{SOURCE3} %{buildroot}%{ora_prefix}
install -p -m 0644 %{SOURCE1} %{buildroot}%{ora_prefix}/network
install -p -m 0644 %{SOURCE2} %{buildroot}%{ora_prefix}/network


%files
%dir %{ora_prefix}
%dir %{ora_prefix}/network
%{ora_prefix}/oraprofile.sh
%{ora_prefix}/README
%{ora_prefix}/network/ldap.ora
%{ora_prefix}/network/sqlnet.ora

%changelog
* Tue Jun  9 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- Set env PATH in oraprofile.sh

* Tue May 19 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial release
